- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gsocket.h File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gaddress.h"`
`#include "gevent.h"`
`#include "gdescriptor.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::Socket
| The Socket class encapsulates a non-blocking Unix socket file descriptor or a Windows 'SOCKET' handle. More...
class | GNet::Socket::Credentials
| A credentials class that allows SocketProtocol to call Socket::fd(). More...
class | GNet::AcceptPair
| A class which is used to return a new()ed socket to calling code, together with associated information, and with auto_ptr style transfer of ownership. More...
class | GNet::StreamSocket
| A derivation of Socket for a stream socket. More...
class | GNet::DatagramSocket
| A derivation of Socket for a connectionless datagram socket. More...

## Namespaces
| GNet
| Network classes.